Bug 1290777 - No way of enabling Indirect GLX with GDM
Summary: No way of enabling Indirect GLX with GDM
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server
Version: 7.2
Hardware: x86_64
OS: Linux
high
unspecified
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1274917 1372180
TreeView+ depends on / blocked
 
Reported: 2015-12-11 12:23 UTC by John Hodrien
Modified: 2016-11-04 02:50 UTC (History)
7 users (show)

(edit)
Clone Of:
: 1372180 (view as bug list)
(edit)
Last Closed: 2016-11-04 02:50:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2293 normal SHIPPED_LIVE X.Org X11 server and drivers bug fix and enhancement update 2016-11-03 13:38:01 UTC

Description John Hodrien 2015-12-11 12:23:32 UTC
Description of problem:
Remote OpenGL not working with indirect GLX, and no obvious way of telling GDM to enable it.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.17.2-10.el7.x86_64

How reproducible:
Always using the nvidia proprietary drivers, or most probably any other hardware accelerated drivers that don't use Mesa.

Steps to Reproduce:
1.  Setup machine with nvidia drivers
2.  ssh -Y remotehost
3.  glxinfo

Actual results:
$ glxinfo
name of display: remotehost:33.0
libGL error: failed to load driver: swrast
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  153 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  27
  Current serial number in output stream:  30


Expected results:
Normal glxinfo output.

Additional info:
Passing an argument +iglx to Xorg enables indirect GLX, and remote OpenGL then works correctly.

Tested with the nouveau driver this works, but that doesn't allow for running CUDA applications.  I assume the Mesa driver underpinning nouveau is doing internal trickery to present as direct GLX even on remote connections that the nVidia driver doesn't, or isn't able, to do.

Related bug is that GDM doesn't allow arbitrary Xorg args to be passed: https://bugzilla.gnome.org/show_bug.cgi?id=586777

Comment 9 errata-xmlrpc 2016-11-04 02:50:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2293.html


Note You need to log in before you can comment on or make changes to this bug.